﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Post_6336._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script type="text/javascript">
        var OnMapCreated = function(map) {

            var displayLayer = new OpenLayers.Layer.Vector('displayLayer');
            map.addLayer(displayLayer);

            var measureLineControl = new OpenLayers.Control.Measure(OpenLayers.Handler.Path, { persist: true });
            measureLineControl.events.on({
                "measure": handleMeasurementCompleted,
                "measurepartial": handleMeasurements
            });

            map.addControl(measureLineControl);
            measureLineControl.activate();
        }

        function handleMeasurements(event) {
            var geometry = event.geometry;
            var units = event.units;
            var order = event.order;
            var measure = event.measure;
            var element = document.getElementById('output');
            var out = "";
            if (order == 1) {
                out += "measure: " + measure.toFixed(3) + " " + units;
            } else {
                out += "measure: " + measure.toFixed(3) + " " + units + "<sup>2</" + "sup>";
            }
            element.innerHTML = out;
        }

        function handleMeasurementCompleted(event) {

            var parser = Map1.GetMapParser();
            var displayLayer = parser.map.getLayersByName('displayLayer')[0];

            var feature = new OpenLayers.Feature.Vector(event.geometry);
            displayLayer.addFeatures([feature]);
        }
        
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    <div id="output">
    </div>
    </form>
</body>
</html>
